.\" -*-nroff-*-
.\"
.\"     Copyright (C) 1999 Robert CHERAMY <tibob@via.ecp.fr>
.\"
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 2 of the License, or
.\"     (at your option) any later version.
.\"
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\"
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program; if not, write to the Free Software
.\"     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.TH IPFM.CONF 5 "Last change: 9 May 1999"

.SH NAME

ipfm.conf \- IP Flow Meter configuration file

.SH DESCRIPTION

.I ipfm.conf is
.BR ipfm
configuration file.

A hash mark (``#'') indicates that the end of the line is a comment
and it will be ignored.

The configuration rules will be interpreted from the end, and the first
matching rule will be used, unless specified here.

.SH HOSTS TO LOG
.BR ipfm
logs only specified hosts.

.B Syntax:
LOG [NONE|FROM|TO|BOTH] <host> [[NOT] WITH <host>]

.I NONE
do not log anything from or to this
.I <host>

.I FROM
do log packets from this
.I <host>

.I TO
do log packets to this
.I <host>

.I BOTH
(default) do log packets from and to this
.I <host>


.I <host>
can be :
  x.x.x.x           : an IP.
  x.x.x.x/x.x.x.x : an IP followed by a subnet mask.

.I WITH
specifies if the packet is ignored (NOT WITH) or logged (WITH), in function of the second IP present in the packet.

.B Example :

LOG 10.10.10.0/255.255.255.0 NOT WITH 10.10.10.1
will log any packets from or to hosts in subnet 10.10.10.0/255.255.255.0, except packets involving host 10.10.10.1 .

.PP
.SH OUTPUT TIME DELAY
.BR ipfm
outputs its statistics every fixed period.

.B Syntax:
TIME <time>

.I <time>
is composed of :
  <number> second
  <number> minute
  <number> hour
  <number> day

.B Example:

TIME 1 hour 30 minute 12 second

.PP
.SH LOG FILENAME
Every delay,
.B ipfm
writes its output into a file, which name is specified by the rule
.I FILEMANE

.B Syntax:
FILENAME <filemask>

<filemask> is a string that is parsed using
.BR stfrtime(3)
syntax.

NOTE : The file will be overwritten without any check.

.PP
.SH REVERSE DNS
You can use or desactivate reverse DNS in the output file.
.B Syntax :
[RESOLVE|NORESOLVE]

Default is RESOLVE

.SH SORT OUTPUT FILE
.B ipfm
can sort output file depending on IN, OUT or TOTAL.

.B Syntax :
SORT IN|OUT|TOTAL

Default is to sort nothing.

.PP

.SH SEE ALSO
.BR stfrtime(3)

.SH AUTHORS
Robert CHERAMY <tibob@via.ecp.fr>

Andres KRAPF   <dae@via.ecp.fr>